<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">	
	<xsl:output method="html" indent="no" encoding="UTF-8"/>	
	<xsl:template match="/character">		
		<html>			
			<body>				
				<xsl:attribute name="bgcolor">white</xsl:attribute>				
				<xsl:call-template name="dungeonmaster"/>			
			</body>		
		</html>	
	</xsl:template>	
	<xsl:template name="dungeonmaster">		
		<font face="Verdana" style="font-size:14pt" color="black">
		Dungeon Master Information
			<br/>		
		</font>		
		<font face="Verdana" style="font-size:10pt" color="black">			
			<i>Present this page to your DM when you sit down to play.</i>			
			<br/>		
		</font>		
		<br/>		
		<font face="Verdana" style="font-size:10pt" color="black">			
			<b>Player</b>			
			<br/>		
		</font>		
		<font face="Verdana" style="font-size:8pt" color="black">			
			<xsl:value-of select="player"/>			
			<br/>		
		</font>		
		<br/>		
		<font face="Verdana" style="font-size:10pt" color="black">			
			<b>Character</b>			
			<br/>		
		</font>		
		<font face="Verdana" style="font-size:8pt" color="black">			
			<xsl:value-of select="name"/>			
			<br/>		
		</font>		
		<font face="Verdana" style="font-size:8pt" color="black">			
			<xsl:value-of select="classes/string"/>			
			<br/>		
		</font>		
		<xsl:for-each select="/character/dungeonmaster">			
			<br/>			
			<font face="Verdana" style="font-size:10pt" color="black">				
				<b>User Adjustments</b>				
				<br/>			
			</font>			
			<table cellpadding="0" cellspacing="0" border="0" width="40%">				
				<tr>					
					<td bgcolor="silver" width="25%">						
						<font face="Verdana" style="font-size:8pt" color="black">
				STR
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver" width="5%">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/strength"/>							
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver" width="40%">						
						<br/>					
					</td>					
					<td bgcolor="silver" width="25%">						
						<font face="Verdana" style="font-size:8pt" color="black">
				Init
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver" width="5%">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/initiative"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				DEX
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/dexterity"/>							
							<br/>						
						</font>					
					</td>					
					<td>						
						<br/>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				Fort
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/fortitude"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">
				CON
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/constitution"/>							
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver">						
						<br/>					
					</td>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">
				Ref
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/reflex"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				INT
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/intelligence"/>							
							<br/>						
						</font>					
					</td>					
					<td>						
						<br/>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				Will
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/will"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">
				WIS
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/wisdom"/>							
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver">						
						<br/>					
					</td>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">
				AC
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/armor-class"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				CHA
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/charisma"/>							
							<br/>						
						</font>					
					</td>					
					<td>						
						<br/>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				HP
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="adjustments/hit-points"/>							
							<br/>						
						</font>					
					</td>				
				</tr>			
			</table>			
			<br/>			
			<font face="Verdana" style="font-size:10pt" color="black">				
				<b>Number of Rolls</b>				
				<br/>			
			</font>			
			<table cellpadding="0" cellspacing="0" border="0" width="30%">				
				<tr>					
					<td bgcolor="silver" width="70%">						
						<font face="Verdana" style="font-size:8pt" color="black">
				Ability Scores:
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver" width="30%">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="rolls/ability"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				Hit Points:
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="rolls/hit-points"/>							
							<br/>						
						</font>					
					</td>				
				</tr>			
			</table>			
			<br/>			
			<font face="Verdana" style="font-size:10pt" color="black">				
				<b>Remaining Points</b>				
				<br/>			
			</font>			
			<table cellpadding="0" cellspacing="0" border="0" width="30%">				
				<tr>					
					<td width="70%">						
						<font face="Verdana" style="font-size:8pt" color="black">
				Skill Points:
							<br/>						
						</font>					
					</td>					
					<td width="30%">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="remaining-points/skill"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">
				Feat Points:
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="remaining-points/feat"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				Language Points:
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="remaining-points/language"/>							
							<br/>						
						</font>					
					</td>				
				</tr>			
			</table>			
			<br/>			
			<font face="Verdana" style="font-size:10pt" color="black">				
				<b>Miscellaneous</b>				
				<br/>			
			</font>			
			<table cellpadding="0" cellspacing="0" border="0" width="30%">				
				<tr>					
					<td bgcolor="silver" width="70%">						
						<font face="Verdana" style="font-size:8pt" color="black">
				Sum total of Abilities:
							<br/>						
						</font>					
					</td>					
					<td bgcolor="silver" width="30%">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="totals/ability-points"/>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<tr>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">
				Inventory Value:
							<br/>						
						</font>					
					</td>					
					<td>						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<xsl:value-of select="totals/inventory-value"/>							
							<br/>						
						</font>					
					</td>				
				</tr>			
			</table>			
			<br/>			
			<font face="Verdana" style="font-size:10pt" color="black">				
				<b>Spells</b>				
				<br/>			
			</font>			
			<table cellpadding="0" cellspacing="0" border="0" width="70%">				
				<tr>					
					<td width="70%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Name</b>							
							<br/>						
						</font>					
					</td>					
					<td width="10%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Class</b>							
							<br/>						
						</font>					
					</td>					
					<td width="10%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Lvl</b>							
							<br/>						
						</font>					
					</td>					
					<td width="10%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Acquired</b>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<xsl:for-each select="known-spells/known-spell">					
					<xsl:choose>						
						<xsl:when test="(position() mod 2) = 1">							
							<tr>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="name"/>										
										<br/>									
									</font>								
								</td>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="class"/>										
										<br/>									
									</font>								
								</td>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="level"/>										
										<br/>									
									</font>								
								</td>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="with"/>										
										<br/>									
									</font>								
								</td>							
							</tr>						
						</xsl:when>						
						<xsl:otherwise>							
							<tr>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="name"/>										
										<br/>									
									</font>								
								</td>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="class"/>										
										<br/>									
									</font>								
								</td>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="level"/>										
										<br/>									
									</font>								
								</td>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="with"/>										
										<br/>									
									</font>								
								</td>							
							</tr>						
						</xsl:otherwise>					
					</xsl:choose>				
				</xsl:for-each>			
			</table>			
			<br/>			
			<font face="Verdana" style="font-size:10pt" color="black">				
				<b>Additional Known Spell</b>				
				<br/>			
			</font>			
			<table cellpadding="0" cellspacing="0" border="0" width="40%">				
				<tr>					
					<td width="50%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Class</b>							
							<br/>						
						</font>					
					</td>					
					<td width="25%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Lvl</b>							
							<br/>						
						</font>					
					</td>					
					<td width="25%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Number</b>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<xsl:for-each select="additional-known-spells/additional-known-spell">					
					<xsl:choose>						
						<xsl:when test="(position() mod 2) = 1">							
							<tr>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="class"/>										
										<br/>									
									</font>								
								</td>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="level"/>										
										<br/>									
									</font>								
								</td>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="remaining"/>										
										<br/>									
									</font>								
								</td>							
							</tr>						
						</xsl:when>						
						<xsl:otherwise>							
							<tr>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="class"/>										
										<br/>									
									</font>								
								</td>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="level"/>										
										<br/>									
									</font>								
								</td>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="remaining"/>										
										<br/>									
									</font>								
								</td>							
							</tr>						
						</xsl:otherwise>					
					</xsl:choose>				
				</xsl:for-each>			
			</table>			
			<br/>			
			<font face="Verdana" style="font-size:10pt" color="black">				
				<b>Additional Prepared Spell</b>				
				<br/>			
			</font>			
			<table cellpadding="0" cellspacing="0" border="0" width="40%">				
				<tr>					
					<td width="50%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Class</b>							
							<br/>						
						</font>					
					</td>					
					<td width="25%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Lvl</b>							
							<br/>						
						</font>					
					</td>					
					<td width="25%" style="border-bottom: 1px solid black">						
						<font face="Verdana" style="font-size:8pt" color="black">							
							<b>Number</b>							
							<br/>						
						</font>					
					</td>				
				</tr>				
				<xsl:for-each select="additional-prepared-spells/additional-prepared-spell">					
					<xsl:choose>						
						<xsl:when test="(position() mod 2) = 1">							
							<tr>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="class"/>										
										<br/>									
									</font>								
								</td>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="level"/>										
										<br/>									
									</font>								
								</td>								
								<td bgcolor="silver">									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="remaining"/>										
										<br/>									
									</font>								
								</td>							
							</tr>						
						</xsl:when>						
						<xsl:otherwise>							
							<tr>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="class"/>										
										<br/>									
									</font>								
								</td>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="level"/>										
										<br/>									
									</font>								
								</td>								
								<td>									
									<font face="Verdana" style="font-size:8pt" color="black">										
										<xsl:value-of select="remaining"/>										
										<br/>									
									</font>								
								</td>							
							</tr>						
						</xsl:otherwise>					
					</xsl:choose>				
				</xsl:for-each>			
			</table>		
		</xsl:for-each>	
	</xsl:template>
</xsl:stylesheet>